Bug 113765 - xawtv - Warning: Cannot Convert String (Segmentation Fault)
xawtv - Warning: Cannot Convert String (Segmentation Fault)
Product: Fedora
Classification: Fedora
Component: xawtv (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2004-01-17 09:22 EST by yamaha7
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-03 09:59:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description yamaha7 2004-01-17 09:22:53 EST
Description of problem:
When launching xawtv as a regular user it flashes the xawtv dialog box
and then gives a segmentation fault.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Launch xawtv from a terminal window as end user (non-root account)
Actual results:
This is xawtv-3.88, running on Linux/i686 (2.4.22-1.2149.nptl)
Warning: Cannot convert string
"-*-ledfixed-medium-r-*--39-*-*-*-c-*-*-*" to type FontStruct
Segmentation fault

Expected results:
xawtv dialog box open and displaying cable television

Additional info:
Running WinTV card
Comment 1 Ngo Than 2004-01-19 12:37:34 EST
could you please check which version of XFree86 you have running on
your machine?

Which Graphic card do you have in your machine?

bttv + DRI seem not to play together with some cards like ATI Rage128.
The linux box just freezes. It's either a hardware problem or a bug
somewhere in DRI (either kernel or xfree86).
The only workaround is to turn off DRI.

Comment 2 yamaha7 2004-01-19 16:42:41 EST
XFree86 version:
XFree86 Version 4.3.0 (Fedora Core 1: 4.3.0-42)
Release Date: 15 August 2003
X Protocol Version 11, Revision 0, Release 6.6
Build Operating System: Linux 2.4.21-2.ELsmp i686 [ELF]
Build Date: 24 October 2003
Build Host: porky.devel.redhat.com

Graphic Card:
Nvidia GeForce 2

Kernel Version:
Linux version 2.4.22-1.2149.nptl (bhcompile@porky.devel.redhat.com)

Note:  DRI is commented out in /etc/X11/XF86Config
Comment 3 Ngo Than 2004-01-28 10:39:08 EST
are you using Nvidia driver from NVIDIA? if yes, it could cause such 
problem. I have Nvidia GeForce4 and it works fine for me with the 
driver including in XFree86. 
Comment 4 yamaha7 2004-01-28 15:11:47 EST
Yes, I'm using the driver from Nvidia.  Let me see how the XFree86
driver performs
Comment 5 Ngo Than 2004-02-03 09:59:23 EST
it works for me with driver included in XFree86

Note You need to log in before you can comment on or make changes to this bug.